import * as minimist from 'minimist';
import * as chalk from 'chalk';
import { existsSync } from 'fs';
export var error = function (message) {
    console.error(chalk.default.bgRed.white(message));
};
export var info = function (message, count1, count2) {
    console.log(chalk.default.green(message) +
        (" " + chalk.default.blue(count1)) +
        (" " + (count2 ? '/ ' + chalk.default.yellowBright(count2) : '')));
};
export function tryGetsProjectPath() {
    var projectPath = minimist(process.argv.slice(2)).p;
    if (!projectPath) {
        projectPath = './tsconfig.json';
    }
    if (!existsSync(projectPath)) {
        error('Cannot find tsconfig at "' + projectPath + '".');
        process.exit(1);
    }
    return projectPath;
}
//# sourceMappingURL=utils.js.map